Subject: RE: bug#8856: 24.0.50; regression: special-display-frame is no longer dedicated

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Jun 2011 10:48:50 -0700

>  > Wrt bug #8856 also, the same symptoms reported initially 
>  > are still there (frame selection/focus problem).
>  >
>  > Plus, now the special-display frame that I define for 
>  > `*Completions*' is not even used.  Instead, buffer/window
>  > `*Completions*' i shown in a regular frame.
> 
> Probably because `pop-up-frames' is t on your system so
> `pop-up-frame-alist' prevails.  Again, what are the
> special-display-... related values for *Completions*?

`pop-up-frames' is t, from oneonone.el.
I do not define `pop-up-frame-alist'.

I gave you the value of `special-display-regexps'.  Here it is again: ("[
]?[*][^*]+[*]"))

>  > Here again is that recipe (after startup as shown above):
>  > > M-x f TAB ; to display *Completions* frame.
>  > > C-]       ; to return to top level.
>  > > M-x f TAB o
>  > > Or just hit TAB twice in a row: M-x f TAB TAB.
>  > > IOW, try to type more input in minibuffer.  This raises the error
>  > > "Buffer is read-only #<buffer *Completions*>"

The recipe, one more time:

runemacs.exe -Q --debug-init -l "hexrgb.el" -l "oneonone.el" -f "1on1-emacs"
 
Download the two files mentioned from here:
http://www.emacswiki.org/cgi-bin/wiki?action=index;match=%5C.(el%7Ctar)(%5C.gz)%
3F%24

1. Load your new window.el that you just sent me (but see below).

2. (setq special-display-regexps '("[ ]?[*][^*]+[*]"))

So far, the recipe is the same for bug #8851 and #8856.  Now it changes.

3. Do this:
 
M-x f TAB ; to display *Completions* frame.
C-]       ; to return to top level.

M-x f TAB o

Or just hit TAB twice in a row: M-x f TAB TAB.  IOW, try to type more
input in minibuffer.

The bug reported for #8856 is that this then raises the error
"Buffer is read-only #<buffer *Completions*>"

However, as I said, with the window.el version you just sent me there is now an
additional bug - presumably the same additional bug mentioned in #8851 (wrt
buffer `*Buffer List*'): `*Completions*' is no longer shown in a special-display
frame at all.  It is now shown in the same window of the original buffer
(`*scratch*' presumably, by default from emacs -Q).

Can you reproduce the problems?  Try first without step #1, to see the bug I
reported.  Try with step #1 to see that your fix just adds another problem.

The first step is to reproduce the problem.  Then we can try to debug it.